From 4999a1ba45d0ad34cbc1965e31f232b492b2f2d5 Mon Sep 17 00:00:00 2001
From: Andrii Kocherhin <andriikocherhin@webadmins-air.phsabc.ehcnet.ca>
Date: Thu, 6 Mar 2025 13:40:16 -0800
Subject: [PATCH 1/7] Updated schema added glossify_node_ignore_tags

---
 modules/glossify_node/config/schema/glossify_node.schema.yml | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/modules/glossify_node/config/schema/glossify_node.schema.yml b/modules/glossify_node/config/schema/glossify_node.schema.yml
index 3516877..54a51cc 100644
--- a/modules/glossify_node/config/schema/glossify_node.schema.yml
+++ b/modules/glossify_node/config/schema/glossify_node.schema.yml
@@ -9,6 +9,9 @@ filter_settings.glossify_node:
     glossify_node_first_only:
       type: boolean
       label: 'First match only'
+    glossify_node_ignore_tags:
+      type: string
+      label: 'Tags to ignore'
     glossify_node_type:
       type: string
       label: 'Type'
-- 
GitLab


From 8e98d9518c46aa6a1291c9d63cf3748cdaf0ca67 Mon Sep 17 00:00:00 2001
From: Andrii Kocherhin <andriikocherhin@webadmins-air.phsabc.ehcnet.ca>
Date: Thu, 6 Mar 2025 13:41:15 -0800
Subject: [PATCH 2/7] Added extra setting to the filter config

---
 modules/glossify_node/src/Plugin/Filter/NodeTooltip.php | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/modules/glossify_node/src/Plugin/Filter/NodeTooltip.php b/modules/glossify_node/src/Plugin/Filter/NodeTooltip.php
index 6815c18..cf81369 100644
--- a/modules/glossify_node/src/Plugin/Filter/NodeTooltip.php
+++ b/modules/glossify_node/src/Plugin/Filter/NodeTooltip.php
@@ -119,9 +119,15 @@ final class NodeTooltip extends GlossifyBase {
     $form['glossify_node_first_only'] = [
       '#type' => 'checkbox',
       '#title' => $this->t('First match only'),
-      '#description' => $this->t('Match and link only the first occurance per field.'),
+      '#description' => $this->t('Match and link only the first occurrence per field.'),
       '#default_value' => $this->settings['glossify_node_first_only'],
     ];
+    $form['glossify_node_ignore_tags'] = [
+      '#type' => 'textfield',
+      '#title' => $this->t('Ignore tags'),
+      '#description' => $this->t('A comma-separated list of tags to ignore.'),
+      '#default_value' => $this->settings['glossify_node_ignore_tags'] ?? "",
+    ];
     $form['glossify_node_type'] = [
       '#type' => 'radios',
       '#title' => $this->t('Type'),
@@ -244,6 +250,7 @@ final class NodeTooltip extends GlossifyBase {
           $this->settings['glossify_node_type'],
           $this->settings['glossify_node_tooltip_truncate'],
           $this->settings['glossify_node_urlpattern'],
+          $this->settings['glossify_node_ignore_tags'],
           $langcode
         );
       }
-- 
GitLab


From 28cef66e419f35378ee1d2d9bf1e5b2bcb0875c6 Mon Sep 17 00:00:00 2001
From: Andrii Kocherhin <andriikocherhin@webadmins-air.phsabc.ehcnet.ca>
Date: Thu, 6 Mar 2025 13:47:17 -0800
Subject: [PATCH 3/7] Added ignore tage to the filters

---
 src/GlossifyBase.php | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/src/GlossifyBase.php b/src/GlossifyBase.php
index bcea1f2..0ae72a2 100644
--- a/src/GlossifyBase.php
+++ b/src/GlossifyBase.php
@@ -99,13 +99,15 @@ abstract class GlossifyBase extends FilterBase implements ContainerFactoryPlugin
    *   Whether to truncate tooltip.
    * @param string $urlpattern
    *   URL pattern to create links.
+   * @param string $ignore_tags
+   *   Tags to ignore.
    * @param string $langcode
    *   Langcode identifier.
    *
    * @return string
    *   The original HTML with the term string replaced by links.
    */
-  protected function parseTooltipMatch($text, array $terms, $case_sensitivity, $first_only, $displaytype, $tooltip_truncate, $urlpattern, $langcode) {
+  protected function parseTooltipMatch($text, array $terms, $case_sensitivity, $first_only, $displaytype, $tooltip_truncate, $urlpattern, $ignore_tags, $langcode) {
     if (!Unicode::validateUtf8($text)) {
       $this->logger
         ->debug($this->t('The text is apparently is not a valid utf8 charset: @text', [
@@ -130,7 +132,14 @@ abstract class GlossifyBase extends FilterBase implements ContainerFactoryPlugin
     ksort($pattern_parts);
 
     // Process HTML.
-    $text_nodes = $xpath->query('//text()[not(ancestor::a) and not(ancestor::*[contains(concat(" ",normalize-space(@class)," ")," glossify-exclude ")])]');
+    $ignore = '';
+    if (strlen($ignore_tags)) {
+      $tags = explode(',', str_replace(' ', '', $ignore_tags));
+      foreach ($tags as $tag) {
+        $ignore .= " | ancestor::$tag";
+      }
+    }
+    $text_nodes = $xpath->query('//text()[not(ancestor::a' . $ignore . ') and not(ancestor::*[contains(concat(" ",normalize-space(@class)," ")," glossify-exclude ")])]');
     foreach ($text_nodes as $original_node) {
       $text = $original_node->nodeValue;
       if (empty(trim($text))) {
-- 
GitLab


From a8d9bbf01e1b2b31ac8937c179b69f9ff2c79233 Mon Sep 17 00:00:00 2001
From: Andrii Kocherhin <andriikocherhin@webadmins-air.phsabc.ehcnet.ca>
Date: Thu, 6 Mar 2025 13:48:02 -0800
Subject: [PATCH 4/7] Updated glossify_taxonomy schema Added
 glossify_taxonomy_ignore_tags settings

---
 .../config/schema/glossify_taxonomy.schema.yml           | 3 +++
 .../src/Plugin/Filter/TaxonomyTooltip.php                | 9 ++++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff --git a/modules/glossify_taxonomy/config/schema/glossify_taxonomy.schema.yml b/modules/glossify_taxonomy/config/schema/glossify_taxonomy.schema.yml
index ab6b9dd..50171bd 100644
--- a/modules/glossify_taxonomy/config/schema/glossify_taxonomy.schema.yml
+++ b/modules/glossify_taxonomy/config/schema/glossify_taxonomy.schema.yml
@@ -9,6 +9,9 @@ filter_settings.glossify_taxonomy:
     glossify_taxonomy_first_only:
       type: boolean
       label: 'First match only'
+    glossify_taxonomy_ignore_tags:
+      type: string
+      label: 'Tags to ignore'
     glossify_taxonomy_type:
       type: string
       label: 'Type'
diff --git a/modules/glossify_taxonomy/src/Plugin/Filter/TaxonomyTooltip.php b/modules/glossify_taxonomy/src/Plugin/Filter/TaxonomyTooltip.php
index 00429df..7505855 100644
--- a/modules/glossify_taxonomy/src/Plugin/Filter/TaxonomyTooltip.php
+++ b/modules/glossify_taxonomy/src/Plugin/Filter/TaxonomyTooltip.php
@@ -130,9 +130,15 @@ final class TaxonomyTooltip extends GlossifyBase {
     $form['glossify_taxonomy_first_only'] = [
       '#type' => 'checkbox',
       '#title' => $this->t('First match only'),
-      '#description' => $this->t('Match and link only the first occurance per field.'),
+      '#description' => $this->t('Match and link only the first occurrence per field.'),
       '#default_value' => $this->settings['glossify_taxonomy_first_only'],
     ];
+    $form['glossify_taxonomy_ignore_tags'] = [
+      '#type' => 'textfield',
+      '#title' => $this->t('Ignore tags'),
+      '#description' => $this->t('A comma-separated list of tags to ignore.'),
+      '#default_value' => $this->settings['glossify_taxonomy_ignore_tags']  ?? "",
+    ];
     $form['glossify_taxonomy_type'] = [
       '#type' => 'radios',
       '#title' => $this->t('Type'),
@@ -256,6 +262,7 @@ final class TaxonomyTooltip extends GlossifyBase {
           $this->settings['glossify_taxonomy_type'],
           $this->settings['glossify_taxonomy_tooltip_truncate'],
           $this->settings['glossify_taxonomy_urlpattern'],
+          $this->settings['glossify_taxonomy_ignore_tags'],
           $langcode
         );
       }
-- 
GitLab


From 5251ecfac14d169f4e3edd25ffb01a1145e576ca Mon Sep 17 00:00:00 2001
From: Joshua Turton <joshuaturton@Joshuas-Capellic-Computer.local>
Date: Fri, 14 Mar 2025 11:54:00 -0700
Subject: [PATCH 5/7] Issue #3391996 by awolfey, srjosh: Exclude tags
 configuration, add composer.json file for compatibility

---
 composer.json | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 composer.json

diff --git a/composer.json b/composer.json
new file mode 100644
index 0000000..adcc1c7
--- /dev/null
+++ b/composer.json
@@ -0,0 +1,15 @@
+{
+  "name": "drupal/glossify",
+  "description": "API module to automatically create links or tooltips based on other content or taxonomy terms.",
+  "type": "drupal-module",
+  "license": "GPL-2.0-or-later",
+  "keywords": ["Drupal", "Input filters"],
+  "homepage": "https://www.drupal.org/project/glossify",
+  "support": {
+    "issues": "https://www.drupal.org/project/issues/glossify",
+    "source": "https://git.drupalcode.org/project/glossify"
+  },
+  "require": {
+    "drupal/core": "^8.9 || ^9 || ^10 || ^11"
+  }
+}
-- 
GitLab


From 8ec9c3c51df694daab33c2d196791c80a7ba10b7 Mon Sep 17 00:00:00 2001
From: Jonathan Hunt <git@huntdesign.co.nz>
Date: Mon, 17 Mar 2025 11:13:55 +1300
Subject: [PATCH 6/7] #3391996 Add ignore_tags value to test data provider

---
 tests/src/Unit/GlossifyBaseTest.php | 30 ++++++++++++++++++++++++++---
 1 file changed, 27 insertions(+), 3 deletions(-)

diff --git a/tests/src/Unit/GlossifyBaseTest.php b/tests/src/Unit/GlossifyBaseTest.php
index 7d09009..60f85d2 100644
--- a/tests/src/Unit/GlossifyBaseTest.php
+++ b/tests/src/Unit/GlossifyBaseTest.php
@@ -17,7 +17,7 @@ class GlossifyBaseTest extends UnitTestCase {
    * @covers ::parseTooltipMatch
    * @dataProvider parseTooltipMatchData
    */
-  public function testParseTooltipMatch($text, $terms, $case_sensitivity, $first_only, $displaytype, $tooltip_truncate, $urlpattern, $output) {
+  public function testParseTooltipMatch($text, $terms, $case_sensitivity, $first_only, $displaytype, $tooltip_truncate, $urlpattern, $ignore_tags, $output) {
     // Instantiate dummy object.
     $dummyTooltip = new DummyTooltip(
       $terms,
@@ -25,7 +25,8 @@ class GlossifyBaseTest extends UnitTestCase {
       $first_only,
       $displaytype,
       $tooltip_truncate,
-      $urlpattern
+      $urlpattern,
+      $ignore_tags
     );
     $replacement = $dummyTooltip->process($text, 'nl');
     $this->assertEquals($output, $replacement);
@@ -98,6 +99,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       'set2' => [
@@ -108,6 +110,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips_links',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '/random/testpattern',
+        'ignore_tags' => '',
         'output' => '<p>Simple HTML with <b><a href="/random/testpattern" title="' . $term->tip . '">RT</a></b> and rt as replacement term</p>',
       ],
       'set3' => [
@@ -118,6 +121,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       'set4' => [
@@ -128,6 +132,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => TRUE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with <span title="' . Unicode::truncate($term->tip, 300, TRUE, TRUE) . '">RT</span> as replacement term',
       ],
       'set5' => [
@@ -138,6 +143,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with the multi-byte word Gebäck and <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       'set6' => [
@@ -148,6 +154,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with the multi-byte word சொல் and <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       'set7' => [
@@ -158,6 +165,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'According to Article 312 of Commission Delegated Regulation (EU) 2015/35, the ORSA supervisory report is to be submitted on an annual basis and within 2 weeks after concluding the assessment. For the purpose of preparing theÂ ORSA supervisory report for Allianz <span title="' . $term2->tip . '">Group</span>, <span title="' . $term2->tip . '">Group</span> Risk defines annually deadlines for deliverables by OEs and communicates them to the CROs of the respective OEs.',
       ],
       'set8' => [
@@ -168,6 +176,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with some multi-byte words orð, சொற்கள் and <span title="' . $term3->tip . '">' . $term3->name . '</span> as replacement term',
       ],
       'set9' => [
@@ -178,6 +187,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with <span title="' . $term4->tip . '">Ätsch</span> as replacement term',
       ],
       // UTF-8 2-byte Characters in haystack.
@@ -189,6 +199,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain Æŧśĉĥ text Æŧśĉĥ with <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       // UTF-8 2-byte Characters in haystack and subject.
@@ -200,6 +211,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain <span title="' . $term5->tip . '">Æŧśĉĥ</span> text <span title="' . $term5->tip . '">Æŧśĉĥ</span> with <span title="' . $term5->tip . '">Æŧśĉĥ</span> as replacement term',
       ],
       // UTF-8 3-byte Characters in haystack.
@@ -211,6 +223,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain ଔଡଵଶଷ text ଔଡଵଶଷ with <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       // UTF-8 3-byte Characters in haystack and subject.
@@ -222,6 +235,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain <span title="' . $term6->tip . '">ଔଡଵଶଷ</span> text <span title="' . $term6->tip . '">ଔଡଵଶଷ</span> with <span title="' . $term6->tip . '">ଔଡଵଶଷ</span> as replacement term',
       ],
       // UTF-8 4-byte Characters in haystack.
@@ -233,6 +247,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain 𒀆𒀇𒀈𒀈𒀊𒀋 text 𒀆𒀇𒀈𒀈𒀊𒀋 with <span title="' . $term->tip . '">RT</span> as replacement term',
       ],
       // UTF-8 4-byte Characters in haystack and subject.
@@ -244,6 +259,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> text <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> with <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> as replacement term',
       ],
       // Re-inserting second occurrence of term as-is, and the term has special characters.
@@ -255,6 +271,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain <span title="' . $term8->tip . '">a&amp;a</span> text with a second occurrence of a&amp;a as well',
       ],
       // Text with HTML and preceding spaced within a wrapped replaced element.
@@ -267,6 +284,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips_links',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '/random/testpattern',
+        'ignore_tags' => '',
         'output' => '<p>Simple HTML with<b> <a href="/random/testpattern" title="' . $term->tip . '">RT</a></b> and rt as replacement term</p>',
       ],
       // Glossify-exclude class prevents term to be "glossified"
@@ -278,6 +296,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with <span class="glossify-exclude">RT</span> as replacement term that is excluded from glossify',
       ],
       'set19' => [
@@ -288,6 +307,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => '<p class="glossify-exclude">Simple plain text with RT as replacement term that is excluded from glossify.</p>',
       ],
       'set20' => [
@@ -298,6 +318,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => 'Simple plain text with wrapped by an element containing not only glossify-exclude class <span class="foo glossify-exclude bar">RT</span> as replacement term that is excluded from glossify.',
       ],
       'set21' => [
@@ -308,6 +329,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'displaytype' => 'tooltips',
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
+        'ignore_tags' => '',
         'output' => '<div class="glossify-exclude"><p>Nested HTML block with text with <span>RT</span> as replacement term that is excluded from glossify.</p></div>',
       ],
     ];
@@ -382,13 +404,14 @@ class DummyTooltip extends GlossifyBase {
    * @param string $urlpattern
    *   URL pattern to create links.
    */
-  public function __construct(array $terms, $case_sensitivity, $first_only, $displayType, $tooltip_truncate, $urlpattern) {
+  public function __construct(array $terms, $case_sensitivity, $first_only, $displayType, $tooltip_truncate, $urlpattern, $ignore_tags) {
     $this->terms = $terms;
     $this->caseSensitivity = $case_sensitivity;
     $this->firstOnly = $first_only;
     $this->displayType = $displayType;
     $this->tooltipTruncate = $tooltip_truncate;
     $this->urlpattern = $urlpattern;
+    $this->ignoreTags = $ignore_tags;
   }
 
   /**
@@ -442,6 +465,7 @@ class DummyTooltip extends GlossifyBase {
       $this->displayType,
       $this->tooltipTruncate,
       $this->urlpattern,
+      $this->ignoreTags,
       $langcode
     );
   }
-- 
GitLab


From 443350dadab317519a02c460f833d250c4b4cd69 Mon Sep 17 00:00:00 2001
From: Jonathan Hunt <git@huntdesign.co.nz>
Date: Mon, 17 Mar 2025 11:31:11 +1300
Subject: [PATCH 7/7] #3391996 Improve code style

---
 tests/src/Unit/GlossifyBaseTest.php | 20 ++++++++++++++++----
 1 file changed, 16 insertions(+), 4 deletions(-)

diff --git a/tests/src/Unit/GlossifyBaseTest.php b/tests/src/Unit/GlossifyBaseTest.php
index 60f85d2..8df8807 100644
--- a/tests/src/Unit/GlossifyBaseTest.php
+++ b/tests/src/Unit/GlossifyBaseTest.php
@@ -3,8 +3,8 @@
 namespace Drupal\Tests\glossify\Unit;
 
 use Drupal\Component\Utility\Unicode;
-use Drupal\glossify\GlossifyBase;
 use Drupal\Tests\UnitTestCase;
+use Drupal\glossify\GlossifyBase;
 
 /**
  * @coversDefaultClass \Drupal\glossify\GlossifyBase
@@ -260,9 +260,12 @@ class GlossifyBaseTest extends UnitTestCase {
         'tooltip_truncate' => FALSE,
         'urlpattern' => '',
         'ignore_tags' => '',
-        'output' => 'Simple plain <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> text <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> with <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> as replacement term',
+        'output' => 'Simple plain <span title="' . $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> text <span title="' .
+        $term7->tip . '">𒀆𒀇𒀈𒀈𒀊𒀋</span> with <span title="' . $term7->tip .
+        '">𒀆𒀇𒀈𒀈𒀊𒀋</span> as replacement term',
       ],
-      // Re-inserting second occurrence of term as-is, and the term has special characters.
+      // Re-inserting second occurrence of term as-is, and the term has special
+      // characters.
       'set16' => [
         'text' => 'Simple plain a&a text with a second occurrence of a&a as well',
         'terms' => [$term8->name_norm => $term8],
@@ -287,7 +290,7 @@ class GlossifyBaseTest extends UnitTestCase {
         'ignore_tags' => '',
         'output' => '<p>Simple HTML with<b> <a href="/random/testpattern" title="' . $term->tip . '">RT</a></b> and rt as replacement term</p>',
       ],
-      // Glossify-exclude class prevents term to be "glossified"
+      // Glossify-exclude class prevents term to be "glossified".
       'set18' => [
         'text' => 'Simple plain text with <span class="glossify-exclude">RT</span> as replacement term that is excluded from glossify',
         'terms' => [$term->name_norm => $term],
@@ -388,6 +391,13 @@ class DummyTooltip extends GlossifyBase {
    */
   private $urlpattern;
 
+  /**
+   * Tags to ignore.
+   *
+   * @var string
+   */
+  private $ignoreTags;
+
   /**
    * Constructor.
    *
@@ -403,6 +413,8 @@ class DummyTooltip extends GlossifyBase {
    *   Whether to truncate tooltip.
    * @param string $urlpattern
    *   URL pattern to create links.
+   * @param string $ignore_tags
+   *   Tags to ignore.
    */
   public function __construct(array $terms, $case_sensitivity, $first_only, $displayType, $tooltip_truncate, $urlpattern, $ignore_tags) {
     $this->terms = $terms;
-- 
GitLab

